restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_positive_extremum > Struct Template Reference

`#include <overflow_controlled_integer_accumulator.hpp>`

## Public Types

using | storage_type = std::make_unsigned_t< T >

## Static Public Attributes

static constexpr storage_type | value

## Detailed Description

template<typename T>
struct restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_positive_extremum >

Definition at line 62 of file overflow_controlled_integer_accumulator.hpp.

## Member Typedef Documentation

## storage_type

template<typename T >

using restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_positive_extremum >::storage_type = std::make_unsigned_t<T>

Definition at line 64 of file overflow_controlled_integer_accumulator.hpp.

## Member Data Documentation

## value

template<typename T >

constexpr storage_type restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_positive_extremum >::value

staticconstexpr

Initial value:
= static_cast< storage_type >(
std::numeric_limits<T>::max() )
restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_positive_extremum >::storage_type
std::make_unsigned_t< T > storage_type
Definition: overflow_controlled_integer_accumulator.hpp:64

Definition at line 66 of file overflow_controlled_integer_accumulator.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/overflow_controlled_integer_accumulator.hpp